Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wsee.connection.transport.http
Class HttpTransportInfo

    java.lang.Object
      weblogic.wsee.connection.transport.http.HttpTransportInfo

All Implemented Interfaces:
  Serializable, weblogic.wsee.connection.transport.TransportInfo

Direct Known Subclasses:
  HttpsTransportInfo

    public class HttpTransportInfo

extends Object
implements weblogic.wsee.connection.transport.TransportInfo, Serializable

This class represents information about a connection to a Web Service via the HTTP/S transport.

In particular, the class is used to get or set the username and password when invoking a Web Service. It can be used for both direct invokes and for invokes via a proxy server.

See Also:
  Serialized Form

Constructor Summary
`HttpTransportInfo()`

Method Summary
`byte[]` | `getPassword()` Returns the password associated with a direct invoke of a Web Service.
`Proxy` | `getProxy()` Returns a Proxy object that represents the proxy server that is proxying the invoke of a Web Service.
`byte[]` | `getProxyPassword()` Returns the password associated with an invoke of a Web Service via a proxy server.
`byte[]` | `getProxyUsername()` Returns the username associated with an invoke of a Web Service via a proxy server.
`byte[]` | `getUsername()` Returns the username associated with a direct invoke of a Web Service.
`void` | `setPassword(byte[] password)` Sets the password associated with a direct invoke of a Web Service.
`void` | `setProxy(Proxy proxy)` Specifies the proxy server that is proxying the invoke of a Web Service.
`void` | `setProxyPassword(byte[] proxyPassword)` Sets the password associated with an invoke of a Web Service via a proxy server.
`void` | `setProxyUsername(byte[] proxyUsername)` Sets the username associated with an invoke of a Web Service via a proxy server.
`void` | `setUsername(byte[] username)` Sets the username associated with a direct invoke of a Web Service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpTransportInfo

    public HttpTransportInfo()

Method Detail

### getUsername

    public byte[] getUsername()

  Returns the username associated with a direct invoke of a Web Service.

### setUsername

    public void setUsername(byte[] username)

  Sets the username associated with a direct invoke of a Web Service.

### getPassword

    public byte[] getPassword()

  Returns the password associated with a direct invoke of a Web Service.

### setPassword

    public void setPassword(byte[] password)

  Sets the password associated with a direct invoke of a Web Service.

### getProxyUsername

    public byte[] getProxyUsername()

  Returns the username associated with an invoke of a Web Service via a proxy server.

### setProxyUsername

    public void setProxyUsername(byte[] proxyUsername)

  Sets the username associated with an invoke of a Web Service via a proxy server.

### getProxyPassword

    public byte[] getProxyPassword()

  Returns the password associated with an invoke of a Web Service via a proxy server.

### setProxyPassword

    public void setProxyPassword(byte[] proxyPassword)

  Sets the password associated with an invoke of a Web Service via a proxy server.

### getProxy

    public Proxy getProxy()

  Returns a Proxy object that represents the proxy server that is proxying the invoke of a Web Service.

### setProxy

    public void setProxy(Proxy proxy)

  Specifies the proxy server that is proxying the invoke of a Web Service.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD